Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.iface
Class MessagePart.ContentPart

    java.lang.Object
      com.eviware.soapui.model.iface.MessagePart.ContentPart

All Implemented Interfaces:
  MessagePart

Direct Known Subclasses:
  MessagePart.FaultPart, MessagePart.HeaderPart, WsdlContentPart

Enclosing interface:
  MessagePart

    public abstract static class MessagePart.ContentPart

extends java.lang.Object
implements MessagePart

Nested Class Summary

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.MessagePart
`MessagePart.AttachmentPart, MessagePart.ContentPart, MessagePart.FaultPart, MessagePart.HeaderPart, MessagePart.PartType`

Constructor Summary
`MessagePart.ContentPart()`

Method Summary
`abstract org.apache.xmlbeans.SchemaGlobalElement` | `getPartElement()`
`abstract javax.xml.namespace.QName` | `getPartElementName()`
`MessagePart.PartType` | `getPartType()`
`abstract org.apache.xmlbeans.SchemaType` | `getSchemaType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.iface.MessagePart
`getDescription, getName`

Constructor Detail

### MessagePart.ContentPart

    public MessagePart.ContentPart()

Method Detail

### getSchemaType

    public abstract org.apache.xmlbeans.SchemaType getSchemaType()

### getPartElementName

    public abstract javax.xml.namespace.QName getPartElementName()

### getPartElement

    public abstract org.apache.xmlbeans.SchemaGlobalElement getPartElement()

### getPartType

    public MessagePart.PartType getPartType()

  Specified by:
    `getPartType` in interface `MessagePart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.